Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81133 - pnpbios code doesn't compile
Summary: pnpbios code doesn't compile
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-06 02:13 UTC by Nathan G. Grennan
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-26 00:06:33 UTC


Attachments (Terms of Use)

Description Nathan G. Grennan 2003-01-06 02:13:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
I selected the pnpbios option in make xconfig and then when I compile the kernel
2.4.20-2.6 I get:

make[3]: Entering directory `/var/builder/rpmbuild/BUILD/kernel-2.4.20/drivers/pnp'
gcc -D__KERNEL__ -I/var/builder/rpmbuild/BUILD/kernel-2.4.20/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common
-fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686
-falign-functions=4    -nostdinc -iwithprefix include
-DKBUILD_BASENAME=pnpbios_core  -DEXPORT_SYMTAB -c pnpbios_core.c
pnpbios_core.c: In function `pnpbios_thread_init':
pnpbios_core.c:1311: `CLONE_SIGNAL' undeclared (first use in this function)
pnpbios_core.c:1311: (Each undeclared identifier is reported only once
pnpbios_core.c:1311: for each function it appears in.)
{standard input}: Assembler messages:
{standard input}:16: Warning: indirect lcall without `*'
make[3]: *** [pnpbios_core.o] Error 1
make[3]: Leaving directory `/var/builder/rpmbuild/BUILD/kernel-2.4.20/drivers/pnp'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory `/var/builder/rpmbuild/BUILD/kernel-2.4.20/drivers/pnp'
make[1]: *** [_subdir_pnp] Error 2
make[1]: Leaving directory `/var/builder/rpmbuild/BUILD/kernel-2.4.20/drivers'
make: *** [_dir_drivers] Error 2
error: Bad exit status from /var/builder/rpmbuild/TMP/rpm-tmp.55876 (%build)


I saw this in 2.4.20-2.2(Phoebe kernel) also. I did a mass grep through the tree
and didn't fine any header with CLONE_SIGNAL in it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install kernel-source
2. cd /usr/src/linux-2.4.20-2.6
3. make distclean
4. make menuconfig
5. Select pnpbios option
6. Save settings
7. make dep clean bzImage

Actual Results:  Compiling errors

Expected Results:  Compiling to continue till finished

Additional info:

Comment 1 Nathan G. Grennan 2003-01-06 02:14:44 UTC
I just got an uncomfirmed report that pnpbios worked in 2.4.20-2.5.

Comment 2 Arjan van de Ven 2003-01-06 23:14:28 UTC
pnpbios doesn't actually work well either...
I'll just remove the config option

Comment 3 Brian Brock 2003-03-26 00:06:33 UTC
Confirmed that CONFIG_PNPBIOS is unset in all config files.  Resolving as fixed
in rawhide.


Note You need to log in before you can comment on or make changes to this bug.